<template>
    <div class="notebook" @click="handleSelect">
        <div class="notebook-icon" :class="{'active': active}">
            <app-icon size="lg" icon="book"></app-icon>
        </div>
        <div class="notebook-title">
            <h2>{{ notebook? notebook.name: 'Untitled Notebook'}}</h2>
        </div>
    </div>
</template>

<script lang='ts'>
import Vue from 'vue'
import Component from 'vue-class-component'
import { Prop } from 'vue-property-decorator'
import { INotebook } from '@/store/types/notebooks'

@Component
export default class App extends Vue {
    // Props

    @Prop() notebook: INotebook | undefined
    @Prop() active: boolean | undefined

    // Methods

    handleSelect() {
        this.$emit('selected', this.notebook)
    }
}
</script>